# Vim configuration

My personnal Vim configuration.

## How to install

Just clone this repository, `cd` to the clone and run `make install`.

Note: if a configuration already exists, it will be backed up.

## Installed plugins

The following plugins are installed with [Vundle](https://github.com/VundleVim/Vundle.vim).

| Plugin | Description | Activation
| ------ | ----------- | ----------
| [w0rp/ale](https://github.com/w0rp/ale) | Asynchronous linting/fixing for Vim and Language Server Protocol (LSP) integration | _Immediate_
| [neoclide/coc.vim](https://github.com/neoclide/coc.nvim) | Intellisense engine for Vim 8 & neovim | `make coc`
| [suan/vim-instant-markdown](https://github.com/suan/vim-instant-markdown) | Shows a preview of your Markdown file in your browser | `make markdown`
